Bug 62 - Deletes and new message notifications are not propagated to other clients
Bug#: 62 Product:  Groupware Version: v0.80 Platform: PC
OS/Version: Windows XP Status: RESOLVED Severity: normal Priority: P2
Resolution: FIXED Assigned To: fret@memecode.com Reported By: fret@memecode.com
Component: IMAP Public Folders
URL: 
Summary: Deletes and new message notifications are not propagated to other clients
Opened: 2005-11-22 21:22
Description:   Opened: 2005-11-22 21:22
If more than one client is connected and a delete or new message event happens
the other clients get no notification of that.

------- Comment #1 From exosceleton 2005-11-23 08:20:37 -------
feature request
expunge button, 
or something faster then going trough properties dialog
(double clikking connection in account list?)

------- Comment #2 From Matthew Allen 2005-11-23 12:05:05 -------
Did some work on this today. The delete flag now propagates to all clients
watching the folder. Still need to check and recheck the behaviour of the
expunge code and the notifications that creates.

------- Comment #3 From Matthew Allen 2005-11-24 01:27:06 -------
I've made a number of fixes to both the Groupware server and Scribe to mostly
remove these bugs.

------- Comment #4 From exosceleton 2005-11-24 10:57:03 -------
when eml's are removed from the imapfolder (manually on the hd) emails 
disappear almost immediately, Well done.

the deletion of emails from within scribe is still broken, but i will make a 
new bug.

(exo2 build both server and scribe)

------- Comment #5 From Matthew Allen 2005-11-24 11:28:28 -------
Ok, I tested this so many times today... but maybe I'm missing something.

What I just did to test:
- 2 clean installs of InScribe, "user1" and "user2", with email addresses
- Setup 2 accounts on the groupware server, called the same.
- Enabled public folders
- Opened 1 copy of InScribe, created a public folder.
- Opened other copy, new folder appears...
- Select the new folder in both copies
- User1: right click on the folder "New Mail", type subj="test 1" hit "Send"
- In a few seconds, the mail appears in user2 listing
- User2: select mail, click "Reply", enter something hit "Send"
- In a few seconds, "Re: test 1" appears in User1's list.
- User1: Delete "test 1" email. Email disappears from both views after a few
seconds.
- Importantly, the line "* 1 FETCH (\Seen \Deleted)" appears at the end of the
account log for User2. This tells it the message has been deleted on the server.
You should check for this.
- Both clients tell me there is 1 deleted message in that folder according to
the folder properties.

So far nothings unexpected, it's all working for me.

Help! What are you seeing?

------- Comment #6 From exosceleton 2005-11-24 11:40:51 -------
i have been using emails that i drag from the inbox instead of creating new
ones

i get the most problems when using an unread email from the inbox dragged to a 
imap folder.

i've noticed (but cant confirm) that the 
Deleted messages:
section of the imap properties displays
...

when i do an expunge that crashes

------- Comment #7 From exosceleton 2005-11-24 11:58:23 -------
ii follwed your steps, but when i rightclik choose new
fill in subject and send
no eml is created on the hd, no message appear for user2, only user1

by the way i'm on the MSN network under this email adress
(if you find it could be helpfull, your choice)

------- Comment #8 From Matthew Allen 2005-11-24 12:03:56 -------
I know... I've got it. Your trying all this with the root IMAP folder and a
subfolder. The root IMAP folder has no list, just the title page. And the
properties say "..." as the deleted messages... and sure enough it crashes when
you expunge it.

Try all this on a sub-folder of the "IMAP user@host.com" node.

------- Comment #9 From Matthew Allen 2005-11-24 12:11:14 -------
I've fixed the crash when you click "Expunge" on the root IMAP folder, by a)
stopping the NULL pointer indirection and b) disabling the button.

------- Comment #10 From exosceleton 2005-11-24 12:17:58 -------
Yep that did it